Bug 23158 - on-site checkout missing when using itemBarcodeFallbackSearch
Summary: on-site checkout missing when using itemBarcodeFallbackSearch
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-19 11:38 UTC by Fridolin SOMERS
Modified: 2019-07-25 11:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch (3.37 KB, patch)
2019-06-19 12:10 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch (3.41 KB, patch)
2019-06-21 20:44 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch (3.50 KB, patch)
2019-06-24 15:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23158: Make the assignment statement more readable (1007 bytes, patch)
2019-06-24 15:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-06-19 11:38:51 UTC
When using preference itemBarcodeFallbackSearch one can enter a search term instead of a barcode in checkout form.
If on-site is selected this should be transmitted to itemBarcodeFallbackSearch form.
Comment 1 Fridolin SOMERS 2019-06-19 12:10:13 UTC
Created attachment 90781 [details] [review]
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch

When using preference itemBarcodeFallbackSearch one can enter a search term instead of a barcode in checkout form.
If on-site is selected this should be transmitted to itemBarcodeFallbackSearch form.

Test plan :
1) Enable system preferences "itemBarcodeFallbackSearch" and "OnSiteCheckouts"
2) Disable system preference "ConsiderOnSiteCheckoutsAsNormalCheckouts"
3) Go to a patron circulation page
4) Check "On-site checkout" in "Checkout settings"
5) Enter a barcode in checkout form and click on "Check out"
6) You see the checkout in table with red "(On-site checkout)"
7) Check "On-site checkout" in "Checkout settings"
8) Enter the title of a record in in checkout form and click on "Check out"
9) Click on "Checkout" on a line
10) You see the checkout in table with red "(On-site checkout)"
Comment 2 Arthur Bousquet 2019-06-21 20:44:43 UTC
Created attachment 90935 [details] [review]
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch

When using preference itemBarcodeFallbackSearch one can enter a search term instead of a barcode in checkout form.
If on-site is selected this should be transmitted to itemBarcodeFallbackSearch form.

Test plan :
1) Enable system preferences "itemBarcodeFallbackSearch" and "OnSiteCheckouts"
2) Disable system preference "ConsiderOnSiteCheckoutsAsNormalCheckouts"
3) Go to a patron circulation page
4) Check "On-site checkout" in "Checkout settings"
5) Enter a barcode in checkout form and click on "Check out"
6) You see the checkout in table with red "(On-site checkout)"
7) Check "On-site checkout" in "Checkout settings"
8) Enter the title of a record in in checkout form and click on "Check out"
9) Click on "Checkout" on a line
10) You see the checkout in table with red "(On-site checkout)"

Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>
Comment 3 Jonathan Druart 2019-06-24 15:39:56 UTC
Created attachment 90959 [details] [review]
Bug 23158: keep on-site checkout info when using itemBarcodeFallbackSearch

When using preference itemBarcodeFallbackSearch one can enter a search term instead of a barcode in checkout form.
If on-site is selected this should be transmitted to itemBarcodeFallbackSearch form.

Test plan :
1) Enable system preferences "itemBarcodeFallbackSearch" and "OnSiteCheckouts"
2) Disable system preference "ConsiderOnSiteCheckoutsAsNormalCheckouts"
3) Go to a patron circulation page
4) Check "On-site checkout" in "Checkout settings"
5) Enter a barcode in checkout form and click on "Check out"
6) You see the checkout in table with red "(On-site checkout)"
7) Check "On-site checkout" in "Checkout settings"
8) Enter the title of a record in in checkout form and click on "Check out"
9) Click on "Checkout" on a line
10) You see the checkout in table with red "(On-site checkout)"

Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2019-06-24 15:40:00 UTC
Created attachment 90960 [details] [review]
Bug 23158: Make the assignment statement more readable

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2019-06-24 16:14:54 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-25 11:17:54 UTC
(In reply to Jonathan Druart from comment #4)
> Created attachment 90960 [details] [review] [review]
> Bug 23158: Make the assignment statement more readable
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Oh sure, thanks a lot for that better code ;)
Comment 7 Fridolin SOMERS 2019-07-25 11:18:22 UTC
Pushed to 19.05.x for 19.05.03